from math import fsum, pi
from os import walk

name =  input("Entrer le nom de votre fichier ")
fichier = open(name,'r', encoding="UTF-8")
texte = fichier.read()
print(texte)

premiere_ligne = fichier.readline()

lignes = fichier.readlines()

for ligne in lignes :
	print(ligne)


for ligne in fichier :
	print(ligne[:-1])

for ligne in fichier :
	print(ligne, end = "")
print()

fichier.close()

name =  input("Entrer le nom de votre fichier ")
fichier = open(name, 'w', encoding="UTF-8")
nombre_ligne = int(input("Entrer le nombre de lignes de votre fichier "))
for i in range(nombre_ligne) :
	texte = input("Entre votre ligne " + str(i))
	fichier.write(texte)
fichier.close()
fichier = open(name, 'w', encoding="UTF-8")
nombre_ligne = int(input("Entrer le nombre de lignes de votre fichier "))
for i in range(nombre_ligne) :
	texte = input("Entre votre ligne " + str(i))
	print(texte, file = fichier)
fichier.close()

ma_liste = [1, 2, 3, 4, 5]
somme = fsum(ma_liste)
print("la somme de la liste vaut", somme)
print("Pi vaut", pi)


monRepertoire = input("Entrer le répertoire à parcourir ")
liste_fichiers = []
liste_sous_repertoires = []
for repertoire_courant, sous_repertoires, fichiers in walk(monRepertoire) :
	for fichier in fichiers :
		liste_fichiers.append(fichier)
	for sous_repertoire in sous_repertoires :
		liste_sous_repertoires.append(sous_repertoire)
print("Voici les fichiers")
for fichier in liste_fichiers :
	print(fichier)
print("Voici les sous-répertoires")
for sous_repertoire in liste_sous_repertoires :
	print(sous_repertoire)
